Create Order
curl --request POST \
--url https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/order \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"token_id": "<string>",
"side": "<string>",
"type": "<string>",
"amount": "<string>",
"units": "<string>",
"price": "<string>",
"time_in_force": "<string>",
"expiration": 123
}
'import requests
url = "https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/order"
payload = {
"token_id": "<string>",
"side": "<string>",
"type": "<string>",
"amount": "<string>",
"units": "<string>",
"price": "<string>",
"time_in_force": "<string>",
"expiration": 123
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token_id: '<string>',
side: '<string>',
type: '<string>',
amount: '<string>',
units: '<string>',
price: '<string>',
time_in_force: '<string>',
expiration: 123
})
};
fetch('https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": {
"order_id": "0xa1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
"token_id": "21742633143463906290569050155826241533067272736897614950488156847949938836455",
"side": "BUY",
"type": "MARKET",
"time_in_force": "FOK",
"amount": "100.000",
"shares": "152.300",
"filled": "0.000",
"price": "0.657",
"fee": {},
"units": "USDC",
"status": "MATCHED",
"created_at": "2026-01-01T00:00:00",
"updated_at": "2026-01-01T00:00:00"
}
}Polygon
Create Order
Create a Polymarket order for a Polygon wallet.
Create Order
Authorizations
AccountApiKeyAccountSession
Account secret API key.
Path Parameters
Body
application/json
Polymarket token ID as a numeric string.
BUY or SELL.
MARKET, LIMIT, or STOPLOSS.
Order amount as string or number.
USDC or SHARES.
Required for LIMIT and STOPLOSS. Optional for MARKET as a maximum slippage price. Must be greater than 0 and less than or equal to 1.
Order time in force. Supported values: FOK, FAK, GTC, GTD. Defaults to FOK for MARKET and GTC for LIMIT and STOPLOSS. Valid combinations: MARKET with FOK or FAK, LIMIT with GTC or GTD, STOPLOSS with GTC.
Required when time_in_force is GTD. Unix timestamp for order expiration.
Response
201 - application/json
Polygon order created | Polygon stoploss created
⌘I